%global srcname bottle

Summary:        Fast and simple WSGI-framework for small web-applications
Name:           python-%{srcname}
Version:        0.12.25
Release:        2%{?dist}
License:        MIT
URL:            http://bottlepy.org
Source0:        https://github.com/bottlepy/%{srcname}/archive/%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

Patch3000:      0001-Module_loader_fix_Python_3_12.patch

BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools python3dist(pytest)
BuildArch:      noarch

%description
Bottle is a fast and simple micro-framework for small web-applications.  It
offers request dispatching (Routes) with URL parameter support, Templates, a
built-in HTTP Server and adapters for many third party WSGI/HTTP-server and
template engines. All in a single file and with no dependencies other than the
Python Standard Library.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        Fast and simple WSGI-framework for small web-applications

%description -n python%{python3_pkgversion}-%{srcname}
Bottle is a fast and simple micro-framework for small web-applications.  It
offers request dispatching (Routes) with URL parameter support, Templates, a
built-in HTTP Server and adapters for many third party WSGI/HTTP-server and
template engines. All in a single file and with no dependencies other than the
Python Standard Library.

%prep
%autosetup -p1 -n %{srcname}-%{version}
sed -i '/^#!/d' bottle.py

%build
%py3_build

%install
%py3_install
rm %{buildroot}%{_bindir}/bottle.py

%check
%{pytest} test

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc AUTHORS README.rst docs/*
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/*.py

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12.25-2
- Rebuilt for loongarch release

* Mon Dec 11 2023 Shuo Wang <abushwang@tencent.com> - 0.12.25-1
- initial build
